<template>
  <div class="col-sm-12 col-md-12 auth-bg-left ps-4">
    <div class="h-100 ps-5">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-head d-flex align-items-center">
              <div class="">
                <h2 class="fw-bold">Open a Business Account</h2>
              </div>
            </div>
            <div class="progress my-4" style="height: 3px">
              <div
                class="progress-bar bg-primary"
                role="progressbar"
                style="width: 45%"
              ></div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-meta mb-3">
              <h4 class="fw-bold">Password</h4>
              <p>Create your easy to remember password</p>
            </div>
          </div>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="row">
            <div class="col-sm-12 col-md-6">
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="password"
                    class="form-control"
                    id="formPassword"
                    placeholder="Password"
                    v-model="form.password"
                    v-validate="'required'"
                    name="Password"
                    ref="password"
                  />
                  <div
                    v-show="verrors.has('Password')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Password') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="password"
                    class="form-control"
                    id="formConfirmPassword"
                    placeholder="Confirm Password"
                    v-model="form.confirmPassword"
                    v-validate="'required|confirmed:password'"
                    name="Confirm Password"
                  />
                  <div
                    v-show="verrors.has('Confirm Password')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Confirm Password') }}
                  </div>
                </div>
              </div>
              <!-- <div class="form-group mt-5">
                <div class="form-meta mb-3">
                  <h4 class="fw-bold">Transactional PIN</h4>
                  <p>
                    Create a 4-digit PIN that will be used to authenticate all
                    your transactions
                  </p>
                </div>
                <div class="transaction-pin-container form-input">
                  <PincodeInput
                    v-model="form.code"
                    placeholder="*"
                    :secure="true"
                  />
                </div>
              </div> -->
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12 col-md-6"></div>
            <div class="col-sm-12 col-md-6">
              <div class="mt-4">
                <div>
                  <vs-button type="submit" circle block> Next </vs-button>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
// import PincodeInput from 'vue-pincode-input'

export default {
  middleware: 'auth-pages',
  layout: 'open-account-layout',
  components: {},
  data: () => ({
    form: {
      code: '',
      loading: false,
    },
  }),
  methods: {
    submitForm() {
      // console.log(this.form)
      this.$validator.validateAll().then((result) => {
        if (result) {
          // eslint-disable-next-line
          this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
          this.$router.push('/auth/open-account/corperate/document-upload')
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
